Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.layoutmgr
Class LMiter

    java.lang.Object
      org.apache.fop.layoutmgr.LMiter

All Implemented Interfaces:
  java.util.Iterator<LayoutManager>, java.util.ListIterator<LayoutManager>

Direct Known Subclasses:
  BlockLayoutManager.ProxyLMiter

    public class LMiter

extends java.lang.Object
implements java.util.ListIterator<LayoutManager>

An iterator for layout managers.

Field Summary
`protected int` | `curPos` current position in iteration
`protected java.util.List<LayoutManager>` | `listLMs` list of layout managers

Constructor Summary
`LMiter(LayoutManager lp)` Construct a layout manager iterator.

Method Summary
`void` | `add(LayoutManager lm)`
`boolean` | `hasNext()`
`boolean` | `hasPrevious()`
`LayoutManager` | `next()`
`int` | `nextIndex()`
`LayoutManager` | `previous()`
`int` | `previousIndex()`
`void` | `remove()`
`void` | `set(LayoutManager lm)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### listLMs

    protected java.util.List<LayoutManager> listLMs

  list of layout managers

### curPos

    protected int curPos

  current position in iteration

Constructor Detail

### LMiter

    public LMiter(LayoutManager lp)

  Construct a layout manager iterator.

  Parameters:
    `lp` - the associated layout manager (parent)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<LayoutManager>`
  Specified by:
    `hasNext` in interface `java.util.ListIterator<LayoutManager>`

### hasPrevious

    public boolean hasPrevious()

  Specified by:
    `hasPrevious` in interface `java.util.ListIterator<LayoutManager>`

### previous

    public LayoutManager previous()
                           throws java.util.NoSuchElementException

  Specified by:
    `previous` in interface `java.util.ListIterator<LayoutManager>`
  Throws:
    `java.util.NoSuchElementException`

### next

    public LayoutManager next()
                       throws java.util.NoSuchElementException

  Specified by:
    `next` in interface `java.util.Iterator<LayoutManager>`
  Specified by:
    `next` in interface `java.util.ListIterator<LayoutManager>`
  Throws:
    `java.util.NoSuchElementException`

### remove

    public void remove()
                throws java.util.NoSuchElementException

  Specified by:
    `remove` in interface `java.util.Iterator<LayoutManager>`
  Specified by:
    `remove` in interface `java.util.ListIterator<LayoutManager>`
  Throws:
    `java.util.NoSuchElementException`

### add

    public void add(LayoutManager lm)
             throws java.lang.UnsupportedOperationException

  Specified by:
    `add` in interface `java.util.ListIterator<LayoutManager>`
  Throws:
    `java.lang.UnsupportedOperationException`

### set

    public void set(LayoutManager lm)
             throws java.lang.UnsupportedOperationException

  Specified by:
    `set` in interface `java.util.ListIterator<LayoutManager>`
  Throws:
    `java.lang.UnsupportedOperationException`

### nextIndex

    public int nextIndex()

  Specified by:
    `nextIndex` in interface `java.util.ListIterator<LayoutManager>`

### previousIndex

    public int previousIndex()

  Specified by:
    `previousIndex` in interface `java.util.ListIterator<LayoutManager>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.